% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotExprs.R
\name{plotExprs}
\alias{plotExprs}
\title{Plot expressions}
\usage{
plotExprs(x, color_by = "condition")
}
\arguments{
\item{x}{a \code{\link[SingleCellExperiment]{SingleCellExperiment}}.}

\item{color_by}{character string corresponding to a 
\code{colData(x)} column. Specifies the color coding.}
}
\value{
a \code{\link{ggplot}} object.
}
\description{
Plots the smoothed densities of arcsinh-transformed marker intensities.
}
\examples{
data(PBMC_fs, PBMC_panel, PBMC_md)
sce <- prepData(PBMC_fs, PBMC_panel, PBMC_md)
plotExprs(sce)

}
\references{
Nowicka M, Krieg C, Weber LM et al. 
CyTOF workflow: Differential discovery in 
high-throughput high-dimensional cytometry datasets.
\emph{F1000Research} 2017, 6:748 (doi: 10.12688/f1000research.11622.1)
}
\author{
Helena Lucia Crowell \email{helena.crowell@uzh.ch}
}
